/**
 * /utils/util.js
 * author: J1ay
 * 日期格式转换
**/

// 日期转换 视自己情况而定
// 默认: yyyy/mm/dd/ hh:mm:ss
// 1: yyyy-mm-dd
// 2: yyyy-mm-dd hh:mm
const formatTime = (date,type) => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()
  if (type == 1) {
    return `${[year, month, day].map(formatNumber).join('-')}`
  }
  else if (type == 2) {
    return `${[year, month, day].map(formatNumber).join('-')} ${[hour, minute].map(formatNumber).join(':')}`
  }
  else {
     return `${[year, month, day].map(formatNumber).join('/')} ${[hour, minute, second].map(formatNumber).join(':')}`
  }
}
 
const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : `0${n}`
}

module.exports = {
  formatTime
}
